Page MenuHomePhabricator

ORES: Don't highlight changes propagated from Wikidata
Closed, ResolvedPublic

Description

It's unable to show the real score (T158025: Support ORES for propagated Wikidata edits), so shouldn't highlight anything for changes propagated from Wikidata.

There should be no highlighting for these rows regardless of whether it's using the original ORES highlighting or the newer highlighting done by RC Page itself.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptJun 21 2017, 12:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup triaged this task as Medium priority.Jun 22 2017, 2:15 PM
Ladsgroup moved this task from Untriaged to Maintenance/cleanup on the Scoring-platform-team board.
Halfak added a subscriber: Halfak.

Is this something that the ORES Review Tool is doing? I'm confused.

Is this something that the ORES Review Tool is doing? I'm confused.

Both the ORT and RCFilters do this. As I understand it, the culprit is that recentchanges rows that come from Wikidata have an rc_this_oldid that refers to a revision ID on wikidatawiki rather than the local wiki. The code dealing with RC rows assumes that rc_this_oldid refers to a local revid and uses that to join against the revision table; that's a reasonable expectation, but Wikidata violates it, and so Wikidata RC rows will be highlighted/filtered based on the ORES score of the (totally unrelated) local revision that happens to have same ID as the Wikidata revision (if such a revision exists and if it has a score, but on some wikis that appears to be common).

T158025: Support ORES for propagated Wikidata edits aims to fix this for real and get the correct ORES score in there, but pending that we should consider treating Wikidata rows as if they have no score at all.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 9:20 PM

Change 367841 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Treat RC_LOG and RC_EXTERNAL rows as unscorable

https://gerrit.wikimedia.org/r/367841

Change 367841 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Treat RC_LOG and RC_EXTERNAL rows as unscorable
https://gerrit.wikimedia.org/r/367841

This patch does the following:

  • When highlighting changes based on ORES filters, do not highlight log actions and Wikidata changes, even if we think we have a score for them (because that score will be wrong)
  • When filtering based on ORES score (i.e. one of the damaging/goodfaith filters is active), exclude log actions and Wikidata changes, even if the "type of change" filter selection says we should be including them

Change 367841 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Treat RC_LOG and RC_EXTERNAL rows as unscorable

https://gerrit.wikimedia.org/r/367841

From the task description:

There should be no highlighting for these rows regardless of whether it's using the original ORES highlighting or the newer highlighting done by RC Page itself.

Note that the patch above doesn't handle the original ORES highlighting.

Also, not sure how wikidata and log entries end up with scores. The ORES extension fetches scores only for RC_EDIT and RC_NEW.[1]

[1] https://phabricator.wikimedia.org/diffusion/EORS/browse/master/includes/Hooks.php;9aad3388866bf99de0862fe7a28deec9979089b9$76

From the task description:

There should be no highlighting for these rows regardless of whether it's using the original ORES highlighting or the newer highlighting done by RC Page itself.

Note that the patch above doesn't handle the original ORES highlighting.

Good point, I'll fix that.

Also, not sure how wikidata and log entries end up with scores. The ORES extension fetches scores only for RC_EDIT and RC_NEW.[1]

Log entries aren't scored in practice, but I wanted to be paranoid/consistent. Wikidata entries end up with a score because their rc_this_oldid refers to the oldid of the revision on wikidatawiki, but then gets joined against the local (e.g. enwiki) revision table. If the sizes of the two revision tables line up in the right way, that join will succeed and find a score for a completely unrelated local edit.

[1] https://phabricator.wikimedia.org/diffusion/EORS/browse/master/includes/Hooks.php;9aad3388866bf99de0862fe7a28deec9979089b9$76

Change 368117 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Follow-up a93bd12: also ignore RC_LOG/RC_EXTERNAL in non-RCFilters UI

https://gerrit.wikimedia.org/r/368117

Change 368117 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Follow-up a93bd12: also ignore RC_LOG/RC_EXTERNAL in non-RCFilters UI

https://gerrit.wikimedia.org/r/368117

Etonkovidova added a subscriber: Etonkovidova.EditedAug 3 2017, 9:53 PM

Checked the fix in production (wmf.12). Wikidata (and log entries) do not display ORES highlighting for the new filters and for the old ORES based highlighting.

Checked in plwiki and enwiki.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 3 2017, 10:35 PM